com.r3corda.core.testing / DummyLinearContract

# DummyLinearContract

`class DummyLinearContract : Contract`

### Types

State | `class State : LinearState`

### Constructors

<init> | `DummyLinearContract()`

### Properties

clause | `val clause: Clause<ContractState, CommandData, Unit>`
legalContractReference | `val legalContractReference: SecureHash` Unparsed reference to the natural language contract that this code is supposed to express (usually a hash of the contracts contents).

### Functions

verify | `fun verify(tx: TransactionForContract): Unit` Takes an object that represents a state transition, and ensures the inputs/outputs/commands make sense. Must throw an exception if theres a problem that should prevent state transition. Takes a single object rather than an argument so that additional data can be added without breaking binary compatibility with existing contract code.